
          const { Temporal } = require("@js-temporal/polyfill");
          const { URLPattern } = require("urlpattern-polyfill");
        
require('../lookup-1uverHCc.cjs');
require('../actor-Bok3UnSk.cjs');
const require_http = require('../http-XYPabRaf.cjs');
const require_proof = require('../proof-BOUBc1fi.cjs');
require('../sig-YYj5tCnr.cjs');

exports.attachSignature = require_proof.attachSignature;
exports.createProof = require_proof.createProof;
exports.createSignature = require_proof.createSignature;
exports.detachSignature = require_proof.detachSignature;
exports.doesActorOwnKey = require_proof.doesActorOwnKey;
exports.exportJwk = require_http.exportJwk;
exports.fetchKey = require_http.fetchKey;
exports.generateCryptoKeyPair = require_http.generateCryptoKeyPair;
exports.getKeyOwner = require_proof.getKeyOwner;
exports.importJwk = require_http.importJwk;
exports.signJsonLd = require_proof.signJsonLd;
exports.signObject = require_proof.signObject;
exports.signRequest = require_http.signRequest;
exports.verifyJsonLd = require_proof.verifyJsonLd;
exports.verifyObject = require_proof.verifyObject;
exports.verifyProof = require_proof.verifyProof;
exports.verifyRequest = require_http.verifyRequest;
exports.verifySignature = require_proof.verifySignature;